Get a list of Vendors
Retrieve a list of Vendors based on specified filters.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
per_page
page
Response
This endpoint returns a list of objects.
source_system_id
Vendor/Supplier value to designate uniqueness for upsert purposes, which will also be sent back in JE to the ERP system. This value will be used to match source data and perform upserts.
created_at
Created timestamp when object was created
created_by
Email of the user who created the object
updated_at
Update timestamp when object was updated
last_modified_by
ID of the user who modified the object last.
name
Vendor/Supplier name.
email
Vendor/Supplier Email+
primary_subsidiary_id
The primary subsidiary associated with the Vendor/Supplier. This is the g_source_system_id of the Vendor/Supplier’s assigned subsidiary - if applicable. When leveraged, manual accrual entries will default to the subsidiary
currency_id
The primary currency id associated with this vendor/supplier. This is the g_source_system_id from source_coas.
inactive
Determines if the Vendor/Supplier is active
cc_email
Vendor/Supplier cc emails (multiple emails semicolon separate)
Errors
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error